org.python.core

## Class PySyntaxError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.python.core.PyException
        - - org.python.core.PySyntaxError

- All Implemented Interfaces:
    java.io.Serializable, Traverseproc

      public class PySyntaxError
      extends PyException

  A convenience class for creating Syntax errors. Note that the syntax error is still taken from Py.SyntaxError.

  Generally subclassing from PyException is not the right way of creating new exception classes.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.python.core.PyException

      `traceback, type, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PySyntaxError(java.lang.String s, int line, int column, java.lang.String text, java.lang.String filename)`

  - ### Method Summary

    - ### Methods inherited from class org.python.core.PyException

      `doRaise, exceptionClassName, fillInStackTrace, getMessage, isExceptionClass, isExceptionInstance, match, normalize, printStackTrace, printStackTrace, refersDirectlyTo, super__printStackTrace, toString, tracebackHere, tracebackHere, traverse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PySyntaxError

          public PySyntaxError(java.lang.String s,
                               int line,
                               int column,
                               java.lang.String text,
                               java.lang.String filename)

Jython homepage